﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ProjectSeaplane.Generics
{
    internal class PlanesCollectionInfo : IEquatable<PlanesCollectionInfo>
    {
        public string Name { get; private set; }
        public string Description { get; private set; }
        public PlanesCollectionInfo(string name, string description)
        {
            Name = name;
            Description = description;
        }
        public bool Equals(PlanesCollectionInfo? other)
        {
            // TODO прописать логику сравнения по свойству Name
            return Name == other.Name;
        }
        public override int GetHashCode()
        {
            return this.Name.GetHashCode();
        }
    }

}
